/****************************************************************************
 ***                                                                      ***
 ***                      A S T R O   C O N S T A N T S                   ***
 ***                                                                      ***
 ****************************************************************************/

#ifndef PI
#define PI   3.14159    /*for transcendentals   */
#endif

#define PI2  6.28318    /* etc.                 */
#define PI_SQ 9.8696    /*PI*PI                 */
#define C    2.9979e10  /*speed of light        */
#define G    6.67e-8    /*gravitational constant*/
#define HP   6.626e-27  /*Planck's constant     */
#define HB   1.055e-27  /*Planck/2PI            */
#define EC   4.803e-10  /*elec charge           */
#define ME   9.11e-28   /*mass of elec. (g)     */
#define MP   1.673e-24  /*mass of proton (g)    */
#define K    1.381e-16  /*Boltzmann's const     */
#define N0   6.022e23   /*Avogadro's number     */
#define A0   5.292e-9   /*Bohr radius (cm)      */
#define A    7.565e-15  /*radiation const       */
#define SB   5.67e-5    /*Stefan-Boltzmann const*/
#define FS   7.297e-3   /*fine structure const  */
#define PC   3.086e18   /*parsec (cm)           */
#define AU   1.496e13   /*astro unit (earth orbit) (cm)*/
#define SM   1.989e33   /*solar mass (g)        */
#define SR   6.96e10    /*solar radius (cm)     */
#define SL   3.862e33   /*solar luminosity      */
#define SSR  6.96e14    /*solar system radius (cm)*/
#define ER   6.378e8    /*earth radius (cm)     */

#define CONVECTION_TEMP     1.0e6 
#define H_FUSION_TEMP       1.0e7 
#define HE_FUSION_TEMP      1.0e8 
#define C_FUSION_TEMP       5.0e8 
#define O_FUSION_TEMP       1.6e9 
#define SI_FUSION_TEMP      4.0e9 

